%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%define mainver 0.96

Name:           Django
Version:        %{mainver}.1
Release:        2%{?dist}
Summary:        A high-level Python Web framework

Group:          Development/Languages
License:        BSD
URL:            http://www.djangoproject.com/
Source0:        http://media.djangoproject.com/releases/%{mainver}/Django-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Note: No longer required in development version > 0.95
# BuildRequires:  python-setuptools
BuildRequires:  python-devel

%description
Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle.


%package docs
Summary:  Documentation for Django
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description docs
This package contains the documentation for the Django high-level
Python Web framework.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# Documentation
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
chmod +x examples/manage.py
mv examples $RPM_BUILD_ROOT%{_datadir}/%{name}/

# Permission fixes
pushd $RPM_BUILD_ROOT%{python_sitelib}/django
chmod +x conf/project_template/manage.py
cd bin
chmod +x {{compile,make,unique}-messages,daily_cleanup,django-admin}.py
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_bindir}/django-admin.py
%exclude %{_bindir}/django-admin.py?
%{python_sitelib}/django
%if 0%{?fedora} >= 9
%{python_sitelib}/*.egg-info
%endif

%files docs
%defattr(-,root,root,-)
%doc docs/*
%{_datadir}/%{name}

%changelog
* Sat Apr  5 2008 Michel Salim <salimma@fedoraproject.org> - 0.96.1-2
- Package .egg-info file on Fedora >= 9

* Thu Nov  1 2007 Michel Salim <michel.sylvan@gmail.com> 0.96.1-1
- i18n security update: CVE-2007-5712, bz#357051

* Sat Mar 24 2007 Michel Salim <michel.salim@gmail.com> - 0.96-1
- New upstream version

* Sun Jan 21 2007 Michel Salim <michel.salim@gmail.com> - 0.95.1-1
- Upstream security updates:
  http://www.djangoproject.com/weblog/2007/jan/21/0951/

* Sun Nov 12 2006 Michel Salim <michel.salim@gmail.com> - 0.95-1
- Initial package
